import type { StateActionCompletePayload, StateBackupResponsePayload, StateKeysResponsePayload, StateValuesChangePayload, StateValuesResponsePayload } from "reactotron-core-contract";
import type { ReactotronCore } from "../reactotron-core-client";
/**
 * Provides helper functions for send state responses.
 */
declare const stateResponse: () => (reactotron: ReactotronCore) => {
    features: {
        stateActionComplete: (name: StateActionCompletePayload["name"], action: StateActionCompletePayload["action"], important?: any) => void;
        stateValuesResponse: (path: StateValuesResponsePayload["path"], value: StateValuesResponsePayload["value"], valid?: StateValuesResponsePayload["value"]) => void;
        stateKeysResponse: (path: StateKeysResponsePayload["path"], keys: StateKeysResponsePayload["keys"], valid?: StateKeysResponsePayload["valid"]) => void;
        stateValuesChange: (changes: StateValuesChangePayload["changes"]) => void;
        /** sends the state backup over to the server */
        stateBackupResponse: (state: StateBackupResponsePayload["state"]) => void;
    };
};
export type StateResponsePlugin = ReturnType<typeof stateResponse>;
export default stateResponse;
export declare const hasStateResponsePlugin: (reactotron: ReactotronCore) => reactotron is ReactotronCore & {
    stateActionComplete: (name: StateActionCompletePayload["name"], action: StateActionCompletePayload["action"], important?: any) => void;
    stateValuesResponse: (path: StateValuesResponsePayload["path"], value: StateValuesResponsePayload["value"], valid?: StateValuesResponsePayload["value"]) => void;
    stateKeysResponse: (path: StateKeysResponsePayload["path"], keys: StateKeysResponsePayload["keys"], valid?: StateKeysResponsePayload["valid"]) => void;
    stateValuesChange: (changes: StateValuesChangePayload["changes"]) => void;
    /** sends the state backup over to the server */
    stateBackupResponse: (state: StateBackupResponsePayload["state"]) => void;
};
export declare const assertHasStateResponsePlugin: (reactotron: ReactotronCore) => asserts reactotron is ReactotronCore & {
    stateActionComplete: (name: StateActionCompletePayload["name"], action: StateActionCompletePayload["action"], important?: any) => void;
    stateValuesResponse: (path: StateValuesResponsePayload["path"], value: StateValuesResponsePayload["value"], valid?: StateValuesResponsePayload["value"]) => void;
    stateKeysResponse: (path: StateKeysResponsePayload["path"], keys: StateKeysResponsePayload["keys"], valid?: StateKeysResponsePayload["valid"]) => void;
    stateValuesChange: (changes: StateValuesChangePayload["changes"]) => void;
    /** sends the state backup over to the server */
    stateBackupResponse: (state: StateBackupResponsePayload["state"]) => void;
};
